Skip to main content
GET
/
digitalbanking
/
db-accounts
/
v1
/
accounts
/
{accountId}
Get Account
curl --request GET \
  --url https://api.candescent.com/digitalbanking/db-accounts/v1/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
{
  "accountId": "<string>",
  "accountNumber": "<string>",
  "accountType": {
    "DIAccountType": "<string>",
    "description": "<string>"
  },
  "category": "<string>",
  "balance": {
    "availableBalance": {
      "amount": 123,
      "currencyCode": "<string>"
    },
    "currentBalance": {
      "amount": 123,
      "currencyCode": "<string>"
    }
  },
  "accountStatus": {
    "open": true,
    "closed": true,
    "delinquent": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Unique identifier of the account

Response

Account detail

accountId
string

Unique identifier of the account

accountNumber
string
accountType
object
category
string

Account category (DEPOSIT, LOAN, CREDIT, INVESTMENT)

balance
object
accountStatus
object